Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Negotiator Class Reference

`#include <AVStreams_i.h>`

List of all members.

## Public Methods
virtual CORBA::Boolean | negotiate (AVStreams::Negotiator_ptr remote_negotiator, const AVStreams::streamQoS &qos_spec ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)

## Member Function Documentation

virtual CORBA::Boolean TAO_Negotiator::negotiate | ( | AVStreams::Negotiator_ptr | remote_negotiator,
|  | const AVStreams::streamQoS &qos_spec | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)`[virtual]`

The documentation for this class was generated from the following file:

- AVStreams_i.h